RateLimitService
Get Trading Rate Limits
Get the effective placement and cancellation limits for the authenticated account target.
Request
curl --request GET \ \ --url 'https://api.testnet.polyester.com/v1/trading/rate-limits?subaccountId=6789012345678' \ --header 'Accept: */*' \ --header 'X-API-KEY-ID: YOUR_API_KEY_ID' \ --header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \ --header 'X-API-SIGNATURE: YOUR_API_SIGNATURE'
Responses
{
"apiKeyRules": [
{
"burstWeight": "1",
"periodMs": "1",
"policyClass": "PLACE",
"quotaWeight": "1",
"vipTier": 1
}
],
"effectiveFrom": "2025-01-01T00:00:00Z",
"policyVersion": "1",
"rules": [
{
"burstWeight": "1",
"periodMs": "1",
"policyClass": "PLACE",
"quotaWeight": "1",
"vipTier": 1
}
]
}Optional sub-account public identifier.
Maximum weighted capacity that may be consumed in a burst.
1Policy period duration in milliseconds.
1Trading operation family governed by this rule. REST responses contain PLACE or CANCEL.
PLACEWeighted request capacity available during each policy period. One operation consumes the weight assigned to that operation.
1VIP tier for this rule, in the inclusive range 0 through 10.
1UTC time at which this policy version became effective.
2025-01-01T00:00:00ZPositive identifier of the rate-limit policy version used for the returned rules.
1Maximum weighted capacity that may be consumed in a burst.
1Policy period duration in milliseconds.
1Trading operation family governed by this rule. REST responses contain PLACE or CANCEL.
PLACEWeighted request capacity available during each policy period. One operation consumes the weight assigned to that operation.
1VIP tier for this rule, in the inclusive range 0 through 10.
1| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |